ContextMenuFactory (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails
Class ContextMenuFactory

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails.ContextMenuFactory

    public class ContextMenuFactory

extends Object

Version:
  2.0 Feb 2012
Author:
  Daniele Strollo, Massimiliano Assante (ISTI-CNR)

Constructor Summary
`ContextMenuFactory()`

Method Summary
`com.extjs.gxt.ui.client.widget.menu.Menu` | `buildContextMenu(String resType, ResourceDetailsPanel container)`
`static ContextMenuFactory` | `getInstance()`
`void` | `getUrl()` Get URL from browser
`static void` | `getURL(String url)`
`void` | `loadRuntimeResourcePortlet(String idToEdit)` Redirect to Runtime Resource Portlet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextMenuFactory

    public ContextMenuFactory()

Method Detail

### getInstance

    public static ContextMenuFactory getInstance()

### buildContextMenu

    public final com.extjs.gxt.ui.client.widget.menu.Menu buildContextMenu(String resType,
                                                                           ResourceDetailsPanel container)

### loadRuntimeResourcePortlet

    public void loadRuntimeResourcePortlet(String idToEdit)

  Redirect to Runtime Resource Portlet

  Parameters:
    `idToEdit` -

### getURL

    public static void getURL(String url)

### getUrl

    public void getUrl()

  Get URL from browser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.